bmake (20181221-2) unstable; urgency=high

  * Fix MAKE_VERSION detection.
  * Add a guard rules to prevent bmake with empty MAKE_VERSION
    from being uploaded.
  * Use debhelper-compat instead of debian/compat.
  * Trim trailing whitespace.
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Bump debhelper from old 9 to 12.
  * Move transitional package pmake to oldlibs/optional per policy
    4.0.1.
  * Set upstream metadata fields: Bug-Submit.
  * Drop unnecessary dependency on dh-autoconf.
  * Bump Standards-Version.
  * Update maintainer’s name.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 20 Jan 2020 16:39:48 +0100

bmake (20181221-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Add Vcs-* field

  [ Andrej Shadura ]
  * New upstream release.

  [ Philippe Grégoire ]
  * Add the appropriate -Wl flag for -soname (Closes: #821752).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 19 Dec 2019 16:16:05 +0100

bmake (20160220-2) unstable; urgency=medium

  * Add README.Debian.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 06 Mar 2016 10:48:24 +0100

bmake (20160220-1) unstable; urgency=medium

  * New upstream release.
  * Add cleandir support to the dh helper.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 06 Mar 2016 10:26:15 +0100

bmake (20150606-2) unstable; urgency=medium

  * Fix a bug in the dh helper.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 05 Mar 2016 16:29:33 +0100

bmake (20150606-1) unstable; urgency=medium

  * New upstream release.
  * Change dh helper to call autoconf when needed.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 25 Jul 2015 14:33:56 +0200

bmake (20140620-3) unstable; urgency=medium

  * Handle ‘undefined’ in the output of getconf (unbreaks Hurd build,
    thanks to Svante Signell; closes: #761666).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 16 Sep 2014 22:16:11 +0200

bmake (20140620-2) unstable; urgency=medium

  * Fix build on Hurd, drop old hacks.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 15 Sep 2014 17:57:20 +0200

bmake (20140620-1) unstable; urgency=medium

  * New upstream release.
  * Set MACHINE_ARCH to mipseb on mips (Closes: #754416).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 12 Jul 2014 08:50:55 +0200

bmake (20131001-4) unstable; urgency=low

  * Don't include OS prefix in MACHINE_ARCH (Closes: #735856, patch by
    Robert Millan).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 18 Jan 2014 03:17:05 +0100

bmake (20131001-3) unstable; urgency=low

  * Add patch to fix segfault in hash.c, drop old var.c patch.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 04 Jan 2014 16:21:42 +0100

bmake (20131001-2) unstable; urgency=low

  * Check for sysctl(2) presence (unbreaks build for Hurd).
  * Clean up pkgsrc mk files:
    - Set correct MACHINE_GNU_PLATFORM.
    - Don't try to link against crtBegin.o explicitly.
    - Eliminate the need for a separate "debian" machine type.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 31 Dec 2013 18:45:49 +0100

bmake (20131001-1) unstable; urgency=low

  * New upstream release.
  * Set MAKE_VERSION variable (Closes: #733654).
  * Update copyright information.
  * Drop old manpage patch, rename make(1) to bmake(1).
  * Set real OS variable in sys.mk.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 31 Dec 2013 00:10:55 +0100

bmake (20130904-1) unstable; urgency=low

  * Rename the package to bmake, add a transitional package (Closes: #627983).
  * New upstream release

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 22 Sep 2013 16:07:33 +0200

pmake (20130730-3) unstable; urgency=low

  * Disable MAKEFLAGS patch, apparently it breaks more than fixes.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 22 Sep 2013 15:31:06 +0200

pmake (20130730-2) unstable; urgency=low

  * Provide bmake.
  * Add buildsystem addon for debhelper.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 15 Aug 2013 02:52:01 +0200

pmake (20130730-1) unstable; urgency=low

  * New maintainer.
  * New release based on bmake-20130730.
  * The main binary is now bmake, pmake is a compatibility symlink.
  * Use debhelper 9.
  * Bump Standards-Version to 3.9.4.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 14 Aug 2013 22:55:06 +0200

pmake (1.111-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Mark pmake as Multi-Arch: foreign.  The default configuration does
    differ on different architectures, but it can be overridden by setting
    MACHINE_ARCH and MACHINE_MULTIARCH (closes: #694907).
  * Use correct compiler when cross-building (closes: #694909).

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jun 2013 11:27:37 +0100

pmake (1.111-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "powerpc and sparc64 considered as incomplete"
    Patch by Aurelien Jarno
    Closes: 640919

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 22 Sep 2011 08:39:25 +1000

pmake (1.111-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix missing -Wl for linker arguments
    Patch by Guillem Jover
    Closes: 628677

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 Jun 2011 18:55:30 +1000

pmake (1.111-3) unstable; urgency=low

  * 100_mk.diff: prepend -Wl for linker-only flags (Closes: 610516).
  * 140_multiarch.diff: new patch for multiarch, courtesy of Guillem Jover;
    fixes hardcoded paths (Closes: #626877).
  * 150_mktemp.diff: new patch, replace insecure temporary file handling with
    proper mktemp use, courtesy of Matej Vela (Closes: 626673).

 -- Sam Hocevar <sho@debian.org>  Sun, 29 May 2011 15:44:08 +0200

pmake (1.111-2) unstable; urgency=low

  [ Sam Hocevar <sho@debian.org> ]
  * Switch package to 3.0 (quilt) format.
  * debian/patches: rough split of the old patch.
  * debian/control: set policy to 3.8.3.

  [ Thorsten Glaser <tg@mirbsd.de> ]
  * Port to hurd-i386 (Closes: #547459)
    - make.h: define MAXPATHLEN if not defined (XXX kludge)
    - main.c: check sysconf(_PC_PATH_MAX) and bail out if larger than
      the defined kludge value; inform the user appropriately
    I’m doing it this way because this codebase is ancient, and to
    really fix this issue is not worth the effort. No activity in
    more than four years speaks for itself.
  * mk/sys.mk: We do not run NetBSD® but Debian. (Closes: #493839)
  * debian/rules: Replace 「dpkg --print-gnu-build-architecture」 with
    「dpkg-architecture -qDEB_HOST_ARCH_CPU」 to unbreak build.
  * debian/rules: Use -Wno-unused to clean up build messages.

 -- Sam Hocevar <sho@debian.org>  Mon, 21 Dec 2009 22:43:44 +0100

pmake (1.111-1) unstable; urgency=low

  * New upstream snapshot.
  * This version properly parses arguments and does not crash when parameters
    are missing (Closes: #287336, #316394).
  * debian/control:
    + Set policy to 3.6.2.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  7 Jul 2005 10:20:56 +0200

pmake (1.98-3) unstable; urgency=low

  * mk/bsd.man.mk:
    + Use symlinks instead of hard links when using the MLINKS directive
      to link manual pages, courtesy of Robert Millan.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 12 Mar 2004 13:14:27 +0100

pmake (1.98-2) unstable; urgency=low

  * buf.c:
    + Work around a GCC 3 ICE on hppa.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 10 Mar 2004 18:43:16 +0100

pmake (1.98-1) unstable; urgency=low

  * New maintainer (Closes: #218804).
  * New upstream version from NetBSD HEAD (Closes: #134798).
  * Moved to a non-native package.
  * debian/rules:
    + Switched to debhelper.
  * main.c:
    + Parse $MAKE instead of $MAKEFLAGS when called from GNU make to avoid
      strange interactions (Closes: #189097).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 27 Feb 2004 16:04:12 +0100

pmake (1.45-11) unstable; urgency=low

  * Set defaults to match policy better. Closes: #150895. Thanks to
    Matej Vela for the patch.

 -- Steve McIntyre <93sam@debian.org>  Sun, 30 Jun 2002 23:52:31 +0100

pmake (1.45-10) unstable; urgency=low

  * Fixed broken '.Nm ""' directives in the man page. Closes: #137768
  * Changed name from "make" to "pmake" in manpage.

 -- Steve McIntyre <93sam@debian.org>  Tue, 12 Mar 2002 21:59:55 +0000

pmake (1.45-9) unstable; urgency=low

  * Fixed broken .Bl directives in the man page. Closes: #117723

 -- Steve McIntyre <93sam@debian.org>  Sun, 04 Nov 2001 17:00:14 +0000

pmake (1.45-8) unstable; urgency=high

  * High urgency because of two important bug fixes...
  * Fixed important bug in getopt handling that broke -n flag in
    recursive Makefiles. Closes: #109608
  * Modified shared library targets to use $(CC) -shared instead of
    $(LD) -x -shared, which didn't work. Closes: #109959

 -- Steve McIntyre <93sam@debian.org>  Sat, 08 Sep 2001 15:35:11 +0100

pmake (1.45-7) unstable; urgency=low

  * Don't depend on particular locations of groff's macros, as they may
    change, and indeed have done with groff 1.17 (closes:
    #101973). Thanks to Colin Watson for the patch.

 -- Steve McIntyre <93sam@debian.org>  Sun, 24 Apr 2001 02:40:21 +0100

pmake (1.45-6) unstable; urgency=low

  * Make sure that make execs a shell to expand target rules
    containing "~". Closes: #89313.
  * Fixed the definition of "sh" in job.c so that pmake will play
    nicely with bash if non-compat mode is used (e.g parallel
    makes). It was assuming that "sh" was "ash" and understood the -q
    flag.

 -- Steve McIntyre <93sam@debian.org>  Tue, 17 Apr 2001 02:10:41 +0100

pmake (1.45-5) unstable; urgency=low

  * Applied patch for Hurd from Igor Khavkine <i_khavki@alcor.concordia.ca>.
  * Added Build-Depends for groff. Closes: #90358
  * New maintainer address
  * Updated Standards-Version.

 -- Steve McIntyre <93sam@debian.org>  Thu, 22 Mar 2001 19:19:08 +0100

pmake (1.45-4) unstable; urgency=low

  * New maintainer.
  * Updated Standards-Version.
  * Fixed multiple lintian warnings.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 21 May 2000 18:36:23 +0100

pmake (1.45-3.2) frozen unstable; urgency=low

  * it's for frozen too

 -- Jim Lynch <jwl@debian.org>  Mon,  6 Mar 2000 09:03:28 +0800

pmake (1.45-3.1) unstable; urgency=low

  * Apply patch in Bug#56878 (Closes Bug#56878)

 -- Jim Lynch <jwl@debian.org>  Sun,  5 Mar 2000 12:45:54 +0800

pmake (1.45-3) unstable; urgency=low

  * Unconditionally set OBJECT_FMT to "a.out" in mk/bsd.own.mk (Fixes
    crtbegin/crtend.o problems on powerpc and alpha). (Closes Bug#38951).

 -- Edward Brocklesby <ejb@debian.org>  Sun,  6 Jun 1999 09:35:15 +0000

pmake (1.45-2) unstable; urgency=low

  * Fixed crt0.o stuff in mk/bsd.prog.mk.
  * Fixed FUD in /usr/share/mk/bsd.README

 -- Edward Brocklesby <ejb@debian.org>  Sun, 23 May 1999 16:55:06 +0000

pmake (1.45-1) unstable; urgency=low

  * New upstream version.
  * Moved mk files back from /usr/lib/mk to /usr/share/mk.

 -- Edward Brocklesby <ejb@debian.org>  Wed,  5 May 1999 21:08:58 +0000

pmake (1.39-4) unstable; urgency=low

  * New maintainer.

 -- Edward Brocklesby <ejb@debian.org>  Tue, 23 Feb 1999 21:01:53 +0000

pmake (1.39-3) unstable; urgency=low

  * debian/control (Maintainer): new address.
  * debian/copyright: ditto.
  * debian/control (Standards-Version): updated to 2.5.0.0.

 -- James Troup <james@nocrew.org>  Tue, 10 Nov 1998 13:37:41 +0000

pmake (1.39-2) frozen unstable; urgency=medium

  * mk/bsd.man.mk: correct CATDEPS, Herbet Xu
    <herbert@gondor.apana.org.au>. [#21158]
  * debian/control (Standards-Version): Updated to 2.4.1.0.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed, 15 Apr 1998 12:12:11 +0200

pmake (1.39-1) unstable; urgency=high

  * New upstream version [98-03-16].
  * Reverts back to .orig.tar.gz and .diff.gz.
  * Replace mkdep with the one from OpenBSD as it deals with temporary
    files in a secure fashion. [#19806]
  * pmake now comes with ASCII and postscript versions of the pmake
    tutorial in /usr/doc/pmake/.
  * debian/control: Updated Standards-Version to 2.4.0.0 [#16780].
  * debian/copyright: Corrected ftp site information.
  * debian/copyright: Expanded changes description.
  * debian/rules: No longer uses {,} and other minor changes.
  * mk/bsd.doc.mk: Groff's tmac macros are in /usr/share/groff/tmac,
    not /usr/share/tmac on Debian GNU/Linux.
  * mk/bsd.lib.mk: added a machine definition "debian".
  * mk/bsd.own.mk: s#/usr/share/"/usr/" for  MANDIR and DOCDIR.
  * mk/bsd.own.mk: s/wheel/root/g.
  * mk/bsd.own.mk: define MANZ.
  * mk/bsd.own.mk: don't make files unwritable by owner.
  * mk/bsd.prog.mk: undefine LIBCRT0.
  * mk/sys.mk: MAKE is pmake not GNU make.
  * var.c: #include <stdio.h> because <regex.h> needs it.
  * util.c: don't try to redefine libc functions by #ifndefing a large
    chunk on (__linux__).

 -- James Troup <jjtroup@comp.brad.ac.uk>  Thu, 19 Mar 1998 20:53:45 +0100

pmake (1.0-17) unstable; urgency=low

  * Fixed mk/bsd.lib.mk so that bogus `-q' argument isn't passed to
    tsort [#11536]

 -- James Troup <jjtroup@comp.brad.ac.uk>  Mon, 28 Jul 1997 21:17:39 +0100

pmake (1.0-16) unstable; urgency=low

  * Abandonned debian diff, since the diff is bigger than the original
    source.
  * Added mkdep (again from NetBSD Current) [fixes #11464].

 -- James Troup <jjtroup@comp.brad.ac.uk>  Fri, 25 Jul 1997 13:50:44 +0100

pmake (1.0-15) unstable; urgency=low

  * Updated source to NetBSD Current.
  * Rebuilt with libc6.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Sat,  5 Jul 1997 01:10:27 +0100

pmake (1.0-14) unstable; urgency=low

  * New maintainer.
  * Upgraded to Standards 2.1.3.0 (Fixes bug #9491, #3793).
  * bsd.lib.mk no longer passes spurious `T' argument to ar
    (Fixes bug #3793), patch from Philip Blundell <pb@nexus.co.uk>.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed, 14 May 1997 01:34:07 +0100
